USER_AGENT="Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/117.0.0.0 Safari/537.36"

alias yt-dlp="yt-dlp \
--downloader aria2c \
--cookies-from-browser brave \
--user-agent \"$USER_AGENT\""

alias downloadAudio="yt-dlp -o \"%(playlist_index)s %(title)s.%(ext)s\" -x"
alias downloadMusic="yt-dlp -x --add-metadata -o \"%(playlist_title)s/%(playlist_index)s %(title)s.%(ext)s\""
alias dlBeat="yt-dlp --no-playlist --audio-format m4a -x"
alias downloadYT="yt-dlp --write-thumbnail \
-o \"%(title)s.%(ext)s\" --embed-thumbnail \
--embed-chapters --embed-info-json \
--convert-thumbnails jpg"

function downloadList() {
    cat $1 |xargs -I _ yt-dlp --downloader aria2c _
}

# info_json VIDEO_FILE
# View info.json from video file
function info_json() {
    mkvextract -q attachments "$1" "1:/proc/self/fd/1"|jq .
}